Bug 82406 - kickstart entry logvol --noformat doesn't work
kickstart entry logvol --noformat doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On: 74357
Blocks: 79579
  Show dependency treegraph
 
Reported: 2003-01-21 16:25 EST by Alexandre Oliva
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-17 16:35:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-01-21 16:25:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
anaconda generates kickstart files containing commented-up logvol entries
containing --noformat, for partitions whose contents were to be preserved.  This
option is rejected by the kickstart parser, if the line (without the comment
marker) is used in a kickstart file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install once, choosing to preserve some existing lvm partitions
2.Remove the comment markers from the section that defines the partition lay out
3.Use the resulting kickstart file for a new install
    

Actual Results:  The parser chokes on `clearpart --none', then in `logvol
--noformat', then on the `.0' at the end of the number after `--size' in logvol.

Expected Results:  clearpart --none and logvol --noformat should probably be
accepted.  logvol --size=6144.0 might be accepted, even though there's probably
little reason to accept non-integral values.

Additional info:
Comment 1 Jeremy Katz 2003-02-10 22:30:54 EST
Okay, added support for 'clearpart --none' and use of preexisting LVM/RAID to
CVS.  This is going to be undocumented and basically "early bird testing" bits,
but they work for me with quick testing.  Also, no compatibility for the option
names going forward is guaranteed.

Quick synopsis
raid / --device md0 --useexisting
Use existing raid device md0, don't format it

raid /home --device md0 --noformat
Use existing raid device, but format it

volgroup myvg --noformat
volgroup myvg --useexisting
Use existing volume group.  Doesn't run vgcreate

logvol /foo --vgname=myvg --name=root --noformat
Reuse existing logical volume myvg/root and don't format

logvol / --vgname=myvg --name=root --useexisting
Reuse existing logical volume myvg/root and format it
Comment 2 Alexandre Oliva 2003-02-10 23:07:14 EST
For the record, I just got confirmation from Jeremy that he'd swapped the
descriptions of raid --useexisting and --noformat.  The options have the same
meaning as in logvol and volgroup.  Thanks for implementing this feature,
Jeremy.  I hope to give it a try soon!
Comment 3 Alexandre Oliva 2003-02-17 16:35:48 EST
It works beautifully, indeed.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.